// Very low overhead Node.js logger. Logs in json use pino-pretty for dev.
import Logger from 'pino'

export const getLogger = (() => {
  let logger
  return function getLogger () {
    if (!logger) {
      logger = new Logger({
        level: process.env.LOG_LEVEL
      })
    }
    return logger
  }
})()
